# Header-only library.
%global debug_package %{nil}

Name:           xproperty
Version:        0.10.4
Release:        %mkrel 1
License:        BSD
Summary:        Traitlets-like C++ properties and implementation of the observer pattern 
Url:            https://github.com/jupyter-xeus/xproperty
Source0:        https://github.com/jupyter-xeus/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
Group:          Development/C++

BuildRequires:  binutils
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  cmake(xtl)
BuildRequires:  cmake(nlohmann_json)
BuildRequires:  cmake(GTest) >= 1.8.1
BuildRequires:  python3dist(breathe)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)

%description
xproperty is a C++ library providing traitlets-style properties.


%package devel
Summary:        %{summary}

%description devel
Development files for %{name} library.

%package doc
Summary:        %{summary}

%description doc
Development files for %{name} library.

%prep
%autosetup -p1

%build
%cmake -DBUILD_TESTS=ON .
pushd build
%make_build
popd

pushd docs
make html SPHINXBUILD=sphinx-build-3
rm build/html/.buildinfo
popd


%install
pushd build
%make_install
popd

%check
pushd build
make xtest
popd

%files devel
%doc README.md
%license LICENSE
%{_includedir}/xproperty/
%{_libdir}/cmake/xproperty/

%files doc
%doc docs/build/html


%changelog
* Tue Dec 15 2020 joequant <joequant> 0.10.4-1.mga8
+ Revision: 1657592
- update to 0.10.4

* Mon Jul 27 2020 joequant <joequant> 0.10.1-2.mga8
+ Revision: 1609214
- rebuild

* Mon Jul 27 2020 joequant <joequant> 0.10.1-1.mga8
+ Revision: 1609205
- add gtest cmake
- fix group
- imported package xproperty

